## com.puppycrawl.tools.checkstyle.checks.annotation
Enum AnnotationUseStyleCheck.ElementStyle

    java.lang.Object
      java.lang.Enum<AnnotationUseStyleCheck.ElementStyle>
          com.puppycrawl.tools.checkstyle.checks.annotation.AnnotationUseStyleCheck.ElementStyle

All Implemented Interfaces:
  Serializable, Comparable<AnnotationUseStyleCheck.ElementStyle>

Enclosing class:
  AnnotationUseStyleCheck

    public static enum AnnotationUseStyleCheck.ElementStyle

extends Enum<AnnotationUseStyleCheck.ElementStyle>

Defines the styles for defining elements in an annotation.

Author:
  Travis Schneeberger

Enum Constant Summary
`COMPACT` compact example
`COMPACT_NO_ARRAY` compact example.]
`EXPANDED` expanded example
`IGNORE` mixed styles.

Method Summary
`static AnnotationUseStyleCheck.ElementStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationUseStyleCheck.ElementStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXPANDED

    public static final AnnotationUseStyleCheck.ElementStyle EXPANDED

  expanded example

      @SuppressWarnings(value={"unchecked","unused",})

  .

### COMPACT

    public static final AnnotationUseStyleCheck.ElementStyle COMPACT

  compact example

      @SuppressWarnings({"unchecked","unused",})

  or

      @SuppressWarnings("unchecked")

  .

### COMPACT_NO_ARRAY

    public static final AnnotationUseStyleCheck.ElementStyle COMPACT_NO_ARRAY

  compact example.]

      @SuppressWarnings("unchecked")

  .

### IGNORE

    public static final AnnotationUseStyleCheck.ElementStyle IGNORE

  mixed styles.

Method Detail

### values

    public static AnnotationUseStyleCheck.ElementStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnnotationUseStyleCheck.ElementStyle c : AnnotationUseStyleCheck.ElementStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnnotationUseStyleCheck.ElementStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.